package com.tuoheng.admin.enums.code.user;

/**
 * 修改用户状态返回码
 *      模块代码：10（用户管理）
 *      接口代码：05 （修改用户状态）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-16
 */
public enum EditUserStatusCodeEnum {

    EDIT_IS_FAILED(1100500, "修改失败"),
    USER_ID_IS_NULL(1100501, "用户ID为空"),
    USER_IS_NOT_EXIST(1100502, "用户不存在");


    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditUserStatusCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
